<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>TestRFC2109CookieAttribHandlers xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../testapidocs/org/apache/http/impl/cookie/TestRFC2109CookieAttribHandlers.html">View Javadoc</a></div><pre>

<a class="jxr_linenumber" name="1" href="#1">1</a>   <em class="jxr_comment">/*</em>
<a class="jxr_linenumber" name="2" href="#2">2</a>   <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="3" href="#3">3</a>   <em class="jxr_comment"> * Licensed to the Apache Software Foundation (ASF) under one</em>
<a class="jxr_linenumber" name="4" href="#4">4</a>   <em class="jxr_comment"> * or more contributor license agreements.  See the NOTICE file</em>
<a class="jxr_linenumber" name="5" href="#5">5</a>   <em class="jxr_comment"> * distributed with this work for additional information</em>
<a class="jxr_linenumber" name="6" href="#6">6</a>   <em class="jxr_comment"> * regarding copyright ownership.  The ASF licenses this file</em>
<a class="jxr_linenumber" name="7" href="#7">7</a>   <em class="jxr_comment"> * to you under the Apache License, Version 2.0 (the</em>
<a class="jxr_linenumber" name="8" href="#8">8</a>   <em class="jxr_comment"> * "License"); you may not use this file except in compliance</em>
<a class="jxr_linenumber" name="9" href="#9">9</a>   <em class="jxr_comment"> * with the License.  You may obtain a copy of the License at</em>
<a class="jxr_linenumber" name="10" href="#10">10</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="11" href="#11">11</a>  <em class="jxr_comment"> *   <a href="http://www.apache.org/licenses/LICENSE-2.0" target="alexandria_uri">http://www.apache.org/licenses/LICENSE-2.0</a></em>
<a class="jxr_linenumber" name="12" href="#12">12</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="13" href="#13">13</a>  <em class="jxr_comment"> * Unless required by applicable law or agreed to in writing,</em>
<a class="jxr_linenumber" name="14" href="#14">14</a>  <em class="jxr_comment"> * software distributed under the License is distributed on an</em>
<a class="jxr_linenumber" name="15" href="#15">15</a>  <em class="jxr_comment"> * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</em>
<a class="jxr_linenumber" name="16" href="#16">16</a>  <em class="jxr_comment"> * KIND, either express or implied.  See the License for the</em>
<a class="jxr_linenumber" name="17" href="#17">17</a>  <em class="jxr_comment"> * specific language governing permissions and limitations</em>
<a class="jxr_linenumber" name="18" href="#18">18</a>  <em class="jxr_comment"> * under the License.</em>
<a class="jxr_linenumber" name="19" href="#19">19</a>  <em class="jxr_comment"> * ====================================================================</em>
<a class="jxr_linenumber" name="20" href="#20">20</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="21" href="#21">21</a>  <em class="jxr_comment"> * This software consists of voluntary contributions made by many</em>
<a class="jxr_linenumber" name="22" href="#22">22</a>  <em class="jxr_comment"> * individuals on behalf of the Apache Software Foundation.  For more</em>
<a class="jxr_linenumber" name="23" href="#23">23</a>  <em class="jxr_comment"> * information on the Apache Software Foundation, please see</em>
<a class="jxr_linenumber" name="24" href="#24">24</a>  <em class="jxr_comment"> * &lt;<a href="http://www.apache.org/&gt;." target="alexandria_uri">http://www.apache.org/&gt;.</a></em>
<a class="jxr_linenumber" name="25" href="#25">25</a>  <em class="jxr_comment"> *</em>
<a class="jxr_linenumber" name="26" href="#26">26</a>  <em class="jxr_comment"> */</em>
<a class="jxr_linenumber" name="27" href="#27">27</a>  
<a class="jxr_linenumber" name="28" href="#28">28</a>  <strong class="jxr_keyword">package</strong> org.apache.http.impl.cookie;
<a class="jxr_linenumber" name="29" href="#29">29</a>  
<a class="jxr_linenumber" name="30" href="#30">30</a>  <strong class="jxr_keyword">import</strong> org.apache.http.cookie.CookieAttributeHandler;
<a class="jxr_linenumber" name="31" href="#31">31</a>  <strong class="jxr_keyword">import</strong> org.apache.http.cookie.CookieOrigin;
<a class="jxr_linenumber" name="32" href="#32">32</a>  <strong class="jxr_keyword">import</strong> org.apache.http.cookie.MalformedCookieException;
<a class="jxr_linenumber" name="33" href="#33">33</a>  <strong class="jxr_keyword">import</strong> org.junit.Assert;
<a class="jxr_linenumber" name="34" href="#34">34</a>  <strong class="jxr_keyword">import</strong> org.junit.Test;
<a class="jxr_linenumber" name="35" href="#35">35</a>  
<a class="jxr_linenumber" name="36" href="#36">36</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../org/apache/http/impl/cookie/TestRFC2109CookieAttribHandlers.html">TestRFC2109CookieAttribHandlers</a> {
<a class="jxr_linenumber" name="37" href="#37">37</a>  
<a class="jxr_linenumber" name="38" href="#38">38</a>      @Test
<a class="jxr_linenumber" name="39" href="#39">39</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainParse() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="40" href="#40">40</a>          BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="41" href="#41">41</a>          CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="42" href="#42">42</a>  
<a class="jxr_linenumber" name="43" href="#43">43</a>          h.parse(cookie, <span class="jxr_string">"somehost"</span>);
<a class="jxr_linenumber" name="44" href="#44">44</a>          Assert.assertEquals(<span class="jxr_string">"somehost"</span>, cookie.getDomain());
<a class="jxr_linenumber" name="45" href="#45">45</a>  
<a class="jxr_linenumber" name="46" href="#46">46</a>          <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="47" href="#47">47</a>              h.parse(cookie, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="48" href="#48">48</a>              Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="49" href="#49">49</a>          } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="50" href="#50">50</a>              <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="51" href="#51">51</a>          }
<a class="jxr_linenumber" name="52" href="#52">52</a>          <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="53" href="#53">53</a>              h.parse(cookie, <span class="jxr_string">"  "</span>);
<a class="jxr_linenumber" name="54" href="#54">54</a>              Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="55" href="#55">55</a>          } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="56" href="#56">56</a>              <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="57" href="#57">57</a>          }
<a class="jxr_linenumber" name="58" href="#58">58</a>      }
<a class="jxr_linenumber" name="59" href="#59">59</a>  
<a class="jxr_linenumber" name="60" href="#60">60</a>      @Test
<a class="jxr_linenumber" name="61" href="#61">61</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainValidate1() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="62" href="#62">62</a>          BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="63" href="#63">63</a>          CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"somehost"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="64" href="#64">64</a>          CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="65" href="#65">65</a>  
<a class="jxr_linenumber" name="66" href="#66">66</a>          cookie.setDomain(<span class="jxr_string">"somehost"</span>);
<a class="jxr_linenumber" name="67" href="#67">67</a>          h.validate(cookie, origin);
<a class="jxr_linenumber" name="68" href="#68">68</a>  
<a class="jxr_linenumber" name="69" href="#69">69</a>          cookie.setDomain(<span class="jxr_string">"otherhost"</span>);
<a class="jxr_linenumber" name="70" href="#70">70</a>          <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="71" href="#71">71</a>              h.validate(cookie, origin);
<a class="jxr_linenumber" name="72" href="#72">72</a>              Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="73" href="#73">73</a>          } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="74" href="#74">74</a>              <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="75" href="#75">75</a>          }
<a class="jxr_linenumber" name="76" href="#76">76</a>          cookie.setDomain(<strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="77" href="#77">77</a>          <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="78" href="#78">78</a>              h.validate(cookie, origin);
<a class="jxr_linenumber" name="79" href="#79">79</a>              Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="80" href="#80">80</a>          } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="81" href="#81">81</a>              <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="82" href="#82">82</a>          }
<a class="jxr_linenumber" name="83" href="#83">83</a>      }
<a class="jxr_linenumber" name="84" href="#84">84</a>  
<a class="jxr_linenumber" name="85" href="#85">85</a>      @Test
<a class="jxr_linenumber" name="86" href="#86">86</a>      <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainValidate2() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="87" href="#87">87</a>          BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="88" href="#88">88</a>          CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"www.somedomain.com"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="89" href="#89">89</a>          CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="90" href="#90">90</a>  
<a class="jxr_linenumber" name="91" href="#91">91</a>          cookie.setDomain(<span class="jxr_string">".somedomain.com"</span>);
<a class="jxr_linenumber" name="92" href="#92">92</a>          h.validate(cookie, origin);
<a class="jxr_linenumber" name="93" href="#93">93</a>  
<a class="jxr_linenumber" name="94" href="#94">94</a>          cookie.setDomain(<span class="jxr_string">".otherdomain.com"</span>);
<a class="jxr_linenumber" name="95" href="#95">95</a>          <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="96" href="#96">96</a>              h.validate(cookie, origin);
<a class="jxr_linenumber" name="97" href="#97">97</a>              Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="98" href="#98">98</a>          } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="99" href="#99">99</a>              <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="100" href="#100">100</a>         }
<a class="jxr_linenumber" name="101" href="#101">101</a>         cookie.setDomain(<span class="jxr_string">"www.otherdomain.com"</span>);
<a class="jxr_linenumber" name="102" href="#102">102</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="103" href="#103">103</a>             h.validate(cookie, origin);
<a class="jxr_linenumber" name="104" href="#104">104</a>             Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="105" href="#105">105</a>         } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="106" href="#106">106</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="107" href="#107">107</a>         }
<a class="jxr_linenumber" name="108" href="#108">108</a>     }
<a class="jxr_linenumber" name="109" href="#109">109</a> 
<a class="jxr_linenumber" name="110" href="#110">110</a>     @Test
<a class="jxr_linenumber" name="111" href="#111">111</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainValidate3() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="112" href="#112">112</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="113" href="#113">113</a>         CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"www.a.com"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="114" href="#114">114</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="115" href="#115">115</a> 
<a class="jxr_linenumber" name="116" href="#116">116</a>         cookie.setDomain(<span class="jxr_string">".a.com"</span>);
<a class="jxr_linenumber" name="117" href="#117">117</a>         h.validate(cookie, origin);
<a class="jxr_linenumber" name="118" href="#118">118</a> 
<a class="jxr_linenumber" name="119" href="#119">119</a>         cookie.setDomain(<span class="jxr_string">".com"</span>);
<a class="jxr_linenumber" name="120" href="#120">120</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="121" href="#121">121</a>             h.validate(cookie, origin);
<a class="jxr_linenumber" name="122" href="#122">122</a>             Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="123" href="#123">123</a>         } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="124" href="#124">124</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="125" href="#125">125</a>         }
<a class="jxr_linenumber" name="126" href="#126">126</a>     }
<a class="jxr_linenumber" name="127" href="#127">127</a> 
<a class="jxr_linenumber" name="128" href="#128">128</a>     @Test
<a class="jxr_linenumber" name="129" href="#129">129</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainValidate4() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="130" href="#130">130</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="131" href="#131">131</a>         CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"www.a.b.c"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="132" href="#132">132</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="133" href="#133">133</a> 
<a class="jxr_linenumber" name="134" href="#134">134</a>         cookie.setDomain(<span class="jxr_string">".a.b.c"</span>);
<a class="jxr_linenumber" name="135" href="#135">135</a>         h.validate(cookie, origin);
<a class="jxr_linenumber" name="136" href="#136">136</a> 
<a class="jxr_linenumber" name="137" href="#137">137</a>         cookie.setDomain(<span class="jxr_string">".b.c"</span>);
<a class="jxr_linenumber" name="138" href="#138">138</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="139" href="#139">139</a>             h.validate(cookie, origin);
<a class="jxr_linenumber" name="140" href="#140">140</a>             Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="141" href="#141">141</a>         } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="142" href="#142">142</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="143" href="#143">143</a>         }
<a class="jxr_linenumber" name="144" href="#144">144</a>         cookie.setDomain(<span class="jxr_string">".a.a.b.c"</span>);
<a class="jxr_linenumber" name="145" href="#145">145</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="146" href="#146">146</a>             h.validate(cookie, origin);
<a class="jxr_linenumber" name="147" href="#147">147</a>             Assert.fail(<span class="jxr_string">"MalformedCookieException should have been thrown"</span>);
<a class="jxr_linenumber" name="148" href="#148">148</a>         } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="149" href="#149">149</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="150" href="#150">150</a>         }
<a class="jxr_linenumber" name="151" href="#151">151</a>     }
<a class="jxr_linenumber" name="152" href="#152">152</a> 
<a class="jxr_linenumber" name="153" href="#153">153</a>     @Test
<a class="jxr_linenumber" name="154" href="#154">154</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainMatch1() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="155" href="#155">155</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="156" href="#156">156</a>         CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"www.somedomain.com"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="157" href="#157">157</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="158" href="#158">158</a> 
<a class="jxr_linenumber" name="159" href="#159">159</a>         cookie.setDomain(<strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="160" href="#160">160</a>         Assert.assertFalse(h.match(cookie, origin));
<a class="jxr_linenumber" name="161" href="#161">161</a> 
<a class="jxr_linenumber" name="162" href="#162">162</a>         cookie.setDomain(<span class="jxr_string">".somedomain.com"</span>);
<a class="jxr_linenumber" name="163" href="#163">163</a>         Assert.assertTrue(h.match(cookie, origin));
<a class="jxr_linenumber" name="164" href="#164">164</a>     }
<a class="jxr_linenumber" name="165" href="#165">165</a> 
<a class="jxr_linenumber" name="166" href="#166">166</a>     @Test
<a class="jxr_linenumber" name="167" href="#167">167</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainMatch2() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="168" href="#168">168</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="169" href="#169">169</a>         CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"www.whatever.somedomain.com"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="170" href="#170">170</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="171" href="#171">171</a> 
<a class="jxr_linenumber" name="172" href="#172">172</a>         cookie.setDomain(<span class="jxr_string">".somedomain.com"</span>);
<a class="jxr_linenumber" name="173" href="#173">173</a>         Assert.assertTrue(h.match(cookie, origin));
<a class="jxr_linenumber" name="174" href="#174">174</a>     }
<a class="jxr_linenumber" name="175" href="#175">175</a> 
<a class="jxr_linenumber" name="176" href="#176">176</a>     @Test
<a class="jxr_linenumber" name="177" href="#177">177</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainMatch3() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="178" href="#178">178</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="179" href="#179">179</a>         CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"somedomain.com"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="180" href="#180">180</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="181" href="#181">181</a> 
<a class="jxr_linenumber" name="182" href="#182">182</a>         cookie.setDomain(<span class="jxr_string">"somedomain.com"</span>);
<a class="jxr_linenumber" name="183" href="#183">183</a>         Assert.assertTrue(h.match(cookie, origin));
<a class="jxr_linenumber" name="184" href="#184">184</a>     }
<a class="jxr_linenumber" name="185" href="#185">185</a> 
<a class="jxr_linenumber" name="186" href="#186">186</a>     @Test
<a class="jxr_linenumber" name="187" href="#187">187</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainMatch4() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="188" href="#188">188</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="189" href="#189">189</a>         CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"www.somedomain.com"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="190" href="#190">190</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="191" href="#191">191</a> 
<a class="jxr_linenumber" name="192" href="#192">192</a>         cookie.setDomain(<span class="jxr_string">"somedomain.com"</span>);
<a class="jxr_linenumber" name="193" href="#193">193</a>         Assert.assertFalse(h.match(cookie, origin));
<a class="jxr_linenumber" name="194" href="#194">194</a>     }
<a class="jxr_linenumber" name="195" href="#195">195</a> 
<a class="jxr_linenumber" name="196" href="#196">196</a>     @Test
<a class="jxr_linenumber" name="197" href="#197">197</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109DomainInvalidInput() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="198" href="#198">198</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109DomainHandler();
<a class="jxr_linenumber" name="199" href="#199">199</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="200" href="#200">200</a>             h.parse(<strong class="jxr_keyword">null</strong>, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="201" href="#201">201</a>             Assert.fail(<span class="jxr_string">"IllegalArgumentException must have been thrown"</span>);
<a class="jxr_linenumber" name="202" href="#202">202</a>         } <strong class="jxr_keyword">catch</strong> (IllegalArgumentException ex) {
<a class="jxr_linenumber" name="203" href="#203">203</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="204" href="#204">204</a>         }
<a class="jxr_linenumber" name="205" href="#205">205</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="206" href="#206">206</a>             h.validate(<strong class="jxr_keyword">null</strong>, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="207" href="#207">207</a>             Assert.fail(<span class="jxr_string">"IllegalArgumentException must have been thrown"</span>);
<a class="jxr_linenumber" name="208" href="#208">208</a>         } <strong class="jxr_keyword">catch</strong> (IllegalArgumentException ex) {
<a class="jxr_linenumber" name="209" href="#209">209</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="210" href="#210">210</a>         }
<a class="jxr_linenumber" name="211" href="#211">211</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="212" href="#212">212</a>             h.validate(<strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>), <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="213" href="#213">213</a>             Assert.fail(<span class="jxr_string">"IllegalArgumentException must have been thrown"</span>);
<a class="jxr_linenumber" name="214" href="#214">214</a>         } <strong class="jxr_keyword">catch</strong> (IllegalArgumentException ex) {
<a class="jxr_linenumber" name="215" href="#215">215</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="216" href="#216">216</a>         }
<a class="jxr_linenumber" name="217" href="#217">217</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="218" href="#218">218</a>             h.match(<strong class="jxr_keyword">null</strong>, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="219" href="#219">219</a>             Assert.fail(<span class="jxr_string">"IllegalArgumentException must have been thrown"</span>);
<a class="jxr_linenumber" name="220" href="#220">220</a>         } <strong class="jxr_keyword">catch</strong> (IllegalArgumentException ex) {
<a class="jxr_linenumber" name="221" href="#221">221</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="222" href="#222">222</a>         }
<a class="jxr_linenumber" name="223" href="#223">223</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="224" href="#224">224</a>             h.match(<strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>), <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="225" href="#225">225</a>             Assert.fail(<span class="jxr_string">"IllegalArgumentException must have been thrown"</span>);
<a class="jxr_linenumber" name="226" href="#226">226</a>         } <strong class="jxr_keyword">catch</strong> (IllegalArgumentException ex) {
<a class="jxr_linenumber" name="227" href="#227">227</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="228" href="#228">228</a>         }
<a class="jxr_linenumber" name="229" href="#229">229</a>     }
<a class="jxr_linenumber" name="230" href="#230">230</a> 
<a class="jxr_linenumber" name="231" href="#231">231</a>     @Test
<a class="jxr_linenumber" name="232" href="#232">232</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109VersionParse() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="233" href="#233">233</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="234" href="#234">234</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109VersionHandler();
<a class="jxr_linenumber" name="235" href="#235">235</a>         h.parse(cookie, <span class="jxr_string">"12"</span>);
<a class="jxr_linenumber" name="236" href="#236">236</a>         Assert.assertEquals(12, cookie.getVersion());
<a class="jxr_linenumber" name="237" href="#237">237</a>     }
<a class="jxr_linenumber" name="238" href="#238">238</a> 
<a class="jxr_linenumber" name="239" href="#239">239</a>     @Test
<a class="jxr_linenumber" name="240" href="#240">240</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109VersionParseInvalid() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="241" href="#241">241</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="242" href="#242">242</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109VersionHandler();
<a class="jxr_linenumber" name="243" href="#243">243</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="244" href="#244">244</a>             h.parse(cookie, <span class="jxr_string">"garbage"</span>);
<a class="jxr_linenumber" name="245" href="#245">245</a>             Assert.fail(<span class="jxr_string">"MalformedCookieException must have been thrown"</span>);
<a class="jxr_linenumber" name="246" href="#246">246</a>         } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="247" href="#247">247</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="248" href="#248">248</a>         }
<a class="jxr_linenumber" name="249" href="#249">249</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="250" href="#250">250</a>             h.parse(cookie, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="251" href="#251">251</a>             Assert.fail(<span class="jxr_string">"MalformedCookieException must have been thrown"</span>);
<a class="jxr_linenumber" name="252" href="#252">252</a>         } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="253" href="#253">253</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="254" href="#254">254</a>         }
<a class="jxr_linenumber" name="255" href="#255">255</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="256" href="#256">256</a>             h.parse(cookie, <span class="jxr_string">"  "</span>);
<a class="jxr_linenumber" name="257" href="#257">257</a>             Assert.fail(<span class="jxr_string">"MalformedCookieException must have been thrown"</span>);
<a class="jxr_linenumber" name="258" href="#258">258</a>         } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="259" href="#259">259</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="260" href="#260">260</a>         }
<a class="jxr_linenumber" name="261" href="#261">261</a>     }
<a class="jxr_linenumber" name="262" href="#262">262</a> 
<a class="jxr_linenumber" name="263" href="#263">263</a>     @Test
<a class="jxr_linenumber" name="264" href="#264">264</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109VersionValidate() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="265" href="#265">265</a>         BasicClientCookie cookie = <strong class="jxr_keyword">new</strong> BasicClientCookie(<span class="jxr_string">"name"</span>, <span class="jxr_string">"value"</span>);
<a class="jxr_linenumber" name="266" href="#266">266</a>         CookieOrigin origin = <strong class="jxr_keyword">new</strong> CookieOrigin(<span class="jxr_string">"somedomain.com"</span>, 80, <span class="jxr_string">"/"</span>, false);
<a class="jxr_linenumber" name="267" href="#267">267</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109VersionHandler();
<a class="jxr_linenumber" name="268" href="#268">268</a> 
<a class="jxr_linenumber" name="269" href="#269">269</a>         cookie.setVersion(12);
<a class="jxr_linenumber" name="270" href="#270">270</a>         h.validate(cookie, origin);
<a class="jxr_linenumber" name="271" href="#271">271</a> 
<a class="jxr_linenumber" name="272" href="#272">272</a>         cookie.setVersion(-12);
<a class="jxr_linenumber" name="273" href="#273">273</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="274" href="#274">274</a>             h.validate(cookie, origin);
<a class="jxr_linenumber" name="275" href="#275">275</a>             Assert.fail(<span class="jxr_string">"MalformedCookieException must have been thrown"</span>);
<a class="jxr_linenumber" name="276" href="#276">276</a>         } <strong class="jxr_keyword">catch</strong> (MalformedCookieException ex) {
<a class="jxr_linenumber" name="277" href="#277">277</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="278" href="#278">278</a>         }
<a class="jxr_linenumber" name="279" href="#279">279</a>     }
<a class="jxr_linenumber" name="280" href="#280">280</a> 
<a class="jxr_linenumber" name="281" href="#281">281</a>     @Test
<a class="jxr_linenumber" name="282" href="#282">282</a>     <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">void</strong> testRFC2109VersionInvalidInput() <strong class="jxr_keyword">throws</strong> Exception {
<a class="jxr_linenumber" name="283" href="#283">283</a>         CookieAttributeHandler h = <strong class="jxr_keyword">new</strong> RFC2109VersionHandler();
<a class="jxr_linenumber" name="284" href="#284">284</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="285" href="#285">285</a>             h.parse(<strong class="jxr_keyword">null</strong>, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="286" href="#286">286</a>             Assert.fail(<span class="jxr_string">"IllegalArgumentException must have been thrown"</span>);
<a class="jxr_linenumber" name="287" href="#287">287</a>         } <strong class="jxr_keyword">catch</strong> (IllegalArgumentException ex) {
<a class="jxr_linenumber" name="288" href="#288">288</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="289" href="#289">289</a>         }
<a class="jxr_linenumber" name="290" href="#290">290</a>         <strong class="jxr_keyword">try</strong> {
<a class="jxr_linenumber" name="291" href="#291">291</a>             h.validate(<strong class="jxr_keyword">null</strong>, <strong class="jxr_keyword">null</strong>);
<a class="jxr_linenumber" name="292" href="#292">292</a>             Assert.fail(<span class="jxr_string">"IllegalArgumentException must have been thrown"</span>);
<a class="jxr_linenumber" name="293" href="#293">293</a>         } <strong class="jxr_keyword">catch</strong> (IllegalArgumentException ex) {
<a class="jxr_linenumber" name="294" href="#294">294</a>             <em class="jxr_comment">// expected</em>
<a class="jxr_linenumber" name="295" href="#295">295</a>         }
<a class="jxr_linenumber" name="296" href="#296">296</a>     }
<a class="jxr_linenumber" name="297" href="#297">297</a> 
<a class="jxr_linenumber" name="298" href="#298">298</a> }
</pre>
<hr/><div id="footer">This page was automatically generated by <a href="http://maven.apache.org/">Maven</a></div></body>
</html>

